Netbanking Payment

Create a payment transaction for NetBanking. Once you have the response, depending on the “method” attribute, you will have to take the next step. If you receive GET, then take the value in the “URL” attribute and redirect the user to this location. If you receive POST, then “params” attribute will hold a map containing key-value pairs.

For Web, you can create a form with these parameters as hidden variables and auto submit the form. Example code in Javascript: Serialize Parameterslink icon.

For Android, serialize this data such that it can be loaded to WebView directly via postData. Example code in Java: Serialize Parameterslink icon.

Scroll inside to view more
payment_method
Bank
NB_AXIS
Axis Bank
NB_BOI
Bank of India
NB_BOM
Bank of Maharashtra
NB_CBI
Central Bank Of India
NB_CORP
Corporation Bank
NB_DCB
Development Credit Bank
NB_FED
Federal Bank
NB_HDFC
HDFC Bank
NB_ICICI
ICICI Netbanking
NB_IDBI
Industrial Development Bank of India
NB_INDB
Indian Bank
NB_INDUS
IndusInd Bank
NB_IOB
Indian Overseas Bank
NB_JNK
Jammu and Kashmir Bank
NB_KARN
Karnataka Bank
NB_KVB
Karur Vysya
NB_SBBJ
State Bank of Bikaner and Jaipur
NB_SBH
State Bank of Hyderabad
NB_SBI
State Bank of India
NB_SBM
State Bank of Mysore
NB_SBT
State Bank of Travancore
NB_SOIB
South Indian Bank
NB_UBI
Union Bank of India
NB_UNIB
United Bank Of India
NB_VJYB
Vijaya Bank
NB_YESB
Yes Bank
NB_CUB
CityUnion
NB_CANR
Canara Bank
NB_SBP
State Bank of Patiala
NB_CITI
Citi Bank NetBanking
NB_DEUT
Deutsche Bank
NB_KOTAK
Kotak Bank
NB_DLS
Dhanalaxmi Bank
NB_ING
ING Vysya Bank
NB_ANDHRA
Andhra Bank
NB_PNBCORP
Punjab National Bank CORPORATE
NB_PNB
Punjab National Bank
NB_BOB
Bank of Baroda
NB_CSB
Catholic Syrian Bank
NB_OBC
Oriental Bank Of Commerce
NB_SCB
Standard Chartered Bank
NB_TMB
Tamilnad Mercantile Bank
NB_SARASB
Saraswat Bank
NB_SYNB
Syndicate Bank
NB_UCOB
UCO Bank
NB_BOBCORP
Bank of Baroda Corporate
NB_ALLB
Allahabad Bank
NB_BBKM
Bank of Bahrain and Kuwait
NB_JSB
Janata Sahakari Bank
NB_LVBCORP
Lakshmi Vilas Bank Corporate
NB_LVB
Lakshmi Vilas Bank Retail
NB_NKGSB
North Kanara GSB
NB_PMCB
Punjab and Maharashtra Coop Bank
NB_PNJSB
Punjab and Sind Bank
NB_RATN
Ratnakar Bank
NB_RBS
Royal Bank of Scotland
NB_SVCB
Shamrao Vithal Coop Bank
NB_TNSC
Tamil Nadu State Apex Coop Bank
NB_DENA
DENA Bank
NB_COSMOS
COSMOS Bank
NB_DBS
DBS Bank Ltd
NB_DCBB
DCB BANK Business
NB_SVC
SVC Cooperative Bank
NB_BHARAT
Bharat Bank
NB_KVBCORP
Karur Vysya Corporate Banking
NB_UBICORP
Union Bank Corporate Banking
NB_IDFC
IDFC Bank
NB_NAIB
The Nainital Bank
NB_AIRTEL
Airtel Payments Bank
NB_AUB
AU Small Finance Bank

Handling POST
When you get POST as the authentication method in the response, then the customer must be redirected using a form. Example HTML code is given to you. Depending on your client language, choose the appropriate way to create the form.

Handling GET
When you get GET as the authentication method in the response, you may load the URL directly into the customer’s browser. You can easily achieve this by sending HTTP 302 from your server. However, if the API call was made from the browser, then you can utilize the code snippet provided.

API Endpoints
Sandbox Link
POST
https://sandbox.juspay.in/txns
Production Link
POST
https://api.juspay.in/txns
Headers
Body
200 : Success
400 : Invalid Input data
Last updated 1 month ago